<?php

/*
Plugin Name: Cyklodev WP Settings
Plugin URI: http://www.cyklodev.com/wordpress-settings/
Description: Cyklodev Wordpress Settings
Author: Zephilou
Version: 1.1.1
Author URI: http://www.cyklodev.com
*/

defined('ABSPATH') or die("Cannot access pages directly.");  


/*
 * Add link menu 
 */

function com_cyklodev_wordpress_settings(){
  add_menu_page('Cyklodev Settings', 'Cyklodev Settings', 'manage_options', 'cyklodev_settings', 'cyklodev_settings');
}
add_action('admin_menu', 'com_cyklodev_wordpress_settings');

/*
 * Include settings array
 */

$options_list = array (
    'cyklodev_settings_rss'                 => 'Rss',
    'cyklodev_settings_login_email'         => 'Login with email',
    'cyklodev_settings_update_notification' => 'Update notification',
    'cyklodev_settings_update_auto'         => 'Automatic update'
);


/*
 * Include view
 */

function cyklodev_settings(){
    echo '<div class="wrap"><h2>'.__('Settings','cyklodev').'</h2>';
    include_once 'views/settings.php';
}


/*
 * Include function login with email
 */

function cyklodev_login_with_email($username) {
	$user = get_user_by_email($username);
	if(!empty($user->user_login))
		$username = $user->user_login;
	return $username;
}


/*
 * Include function remove rss 
 */


function cyklodev_disable_rss() {
    wp_die( __('No rss available,please visit our <a href="'. get_bloginfo('url') .'">homepage</a>!') );
}

function cyklodev_disable_rss_links() {
    remove_action( 'wp_head', 'feed_links_extra', 3 );
    remove_action( 'wp_head', 'feed_links', 2 );
    remove_action( 'wp_head', 'rsd_link' );
      
    add_action('do_feed', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rdf', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss2', 'cyklodev_disable_rss', 1);
    add_action('do_feed_atom', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss2_comments', 'fb_disable_feed', 1);
    add_action('do_feed_atom_comments', 'fb_disable_feed', 1);
      
}

/*
 * Include function to disable update notification
 */

function cyklodev_remove_update_notification() {
    remove_action( 'admin_notices', 'update_nag', 3 );
}

/*
 * Include hook action 
 */

if(get_option('cyklodev_settings_update_notification') == 'disable' || get_option('cyklodev_settings_update_notification') == false){
    add_action('admin_menu','cyklodev_remove_update_notification');
}

if(get_option('cyklodev_settings_login_email') == 'enable'){
    add_action('wp_authenticate','cyklodev_login_with_email');
}

if(get_option('cyklodev_settings_rss') == 'disable' || get_option('cyklodev_settings_rss') == false){
    add_action('init', 'cyklodev_disable_rss_links');
}

if(get_option('cyklodev_settings_update_auto') == 'enable'){
    define (WP_AUTO_UPDATE_CORE,true);
} else {
    define (WP_AUTO_UPDATE_CORE,false);
}
?>